---
orphan: true
---

# Query connection details

Query the non-sensitive configuration of an agent connection.

```text
GET https://moi.matrixorigin.cn/newmoi/workspaces/{workspace_id}/connections/{connection_id}
```

## Before you call

The examples below use `$AI_STUDIO_API_KEY`, `$WORKSPACE_ID`, and `$CONNECTION_ID`.

## Request example

```bash
curl "https://moi.matrixorigin.cn/newmoi/workspaces/$WORKSPACE_ID/connections/$CONNECTION_ID" -H "X-API-Key: $AI_STUDIO_API_KEY" -H "X-Workspace-ID: $WORKSPACE_ID"
```

## Successful response

Returns `200` and connection details on success.

```json
{"code":0,"data":{"id":"connection_01","name":"MCP 服务"}}
```

The response fields are as follows.

| Field | Type | Description |
| --- | --- | --- |
| `data.id` | string | Connection ID. |
| `data.name` | string | Connection name. |

## Error response

```json
{"code":5,"message":"connection not found"}
```
